pcl::PrincipalCurvatures Struct Reference
Module common

A point structure representing the principal curvatures and their magnitudes. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

union {
float principal_curvature [3]
struct {
float principal_curvature_x
float principal_curvature_y
float principal_curvature_z
} |
}; |
float | pc1
float | pc2

## Friends

std::ostream & | operator<< (std::ostream &os, const PrincipalCurvatures &p)

## Detailed Description

A point structure representing the principal curvatures and their magnitudes.

Definition at line 1156 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PrincipalCurvatures & | p
| ) |  |

friend

## Member Data Documentation

## @43

union { ... }

## pc1

float pcl::PrincipalCurvatures::pc1

Definition at line 1168 of file point_types.hpp.

## pc2

float pcl::PrincipalCurvatures::pc2

Definition at line 1169 of file point_types.hpp.

## principal_curvature

float pcl::PrincipalCurvatures::principal_curvature[3]

Definition at line 1160 of file point_types.hpp.

## principal_curvature_x

float pcl::PrincipalCurvatures::principal_curvature_x

Definition at line 1163 of file point_types.hpp.

## principal_curvature_y

float pcl::PrincipalCurvatures::principal_curvature_y

Definition at line 1164 of file point_types.hpp.

## principal_curvature_z

float pcl::PrincipalCurvatures::principal_curvature_z

Definition at line 1165 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp